Update a Page Group

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.zerionsoftware.com/doc/iformbuilder-v60/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "iFormBuilder V60 MCP server": {
    "url": "https://apidocs.zerionsoftware.com/doc/iformbuilder-v60/mcp"
  }
}

Close
PUT /profiles/{profile_id}/page_groups/{page_group_id}

Path parameters

  • profile_id string Required

    id of the profile

  • page_group_id number Required

    id of the page group

application/json

Body

  • name string

Responses

  • 200 application/json

    OK

    Hide response attribute Show response attribute object
    • id number Required

      the updated page group id

PUT /profiles/{profile_id}/page_groups/{page_group_id}
curl \
 --request PUT 'https://servername.iformbuilder.com/exzact/api/v60/profiles/self/page_groups/{page_group_id}' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --data '{"name":"building_inspection"}'
Request examples
{
  "name": "building_inspection"
}
Response examples (200)
{
  "id": 790777
}